ch.qos.logback.classic.util

## Class CopyOnInheritThreadLocal

- java.lang.Object
- - java.lang.ThreadLocal<T>
  - - java.lang.InheritableThreadLocal<java.util.HashMap<java.lang.String,java.lang.String>>
    - - ch.qos.logback.classic.util.CopyOnInheritThreadLocal

    public class CopyOnInheritThreadLocal
    extends java.lang.InheritableThreadLocal<java.util.HashMap<java.lang.String,java.lang.String>>

This class extends InheritableThreadLocal so that children threads get a copy of the parent's hashmap.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`CopyOnInheritThreadLocal()`

### Method Summary

Methods
`protected java.util.HashMap<java.lang.String,java.lang.String>` `childValue(java.util.HashMap<java.lang.String,java.lang.String> parentValue)` Child threads should get a copy of the parent's hashmap.

### Methods inherited from class java.lang.ThreadLocal

`get, initialValue, remove, set`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyOnInheritThreadLocal

    public CopyOnInheritThreadLocal()

### Method Detail

#### childValue

    protected java.util.HashMap<java.lang.String,java.lang.String> childValue(java.util.HashMap<java.lang.String,java.lang.String> parentValue)

Child threads should get a copy of the parent's hashmap.

Overrides:
  `childValue` in class `java.lang.InheritableThreadLocal<java.util.HashMap<java.lang.String,java.lang.String>>`